INTERFACE
SUBROUTINE RT6S_GEMS_TL(pdiffang, psolang, pvieang, pwl, phasel_in,&
 & phasel_ind, piz_in, piz_ind, ptray550_vertin, ptaer_vertin,&
 & ptaer_vertind, proc, preflet, prefletd) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE rt6svalues
 REAL(KIND=JPRB), INTENT(IN) :: pwl(kwl), pdiffang(klon), psolang(klon&
 & ), pvieang(klon) 
 REAL(KIND=JPRB), INTENT(IN) :: ptray550_vertin(klon, 0:klev),&
 & ptaer_vertin(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: ptaer_vertind(klon, 0:klev, kwl)
 REAL(KIND=JPRB), INTENT(IN) :: phasel_in(klon, 0:klev, kwl, knbmu),&
 & piz_in(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: phasel_ind(klon, 0:klev, kwl, knbmu),&
 & piz_ind(klon, 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: proc(klon, kwl)
 REAL(KIND=JPRB), INTENT(OUT) :: preflet(klon, kwl)
 REAL(KIND=JPRB), INTENT(OUT) :: prefletd(klon, kwl)
END SUBROUTINE RT6S_GEMS_TL
END INTERFACE
